0.144
-----


MAMETesters Bugs Fixed
----------------------
- 04526: [Documentation] m4bigapl and clones: The correct description
         is "The Big Apple (Mdm)".
- 04525: [Documentation] ep_smoke: The correct description is "Holy
         Smoke! (Impulse) (EPOCH)".
- 04527: [Documentation] m4uuaw: The correct description is "Up Up and
         Away (Barcrest) (MPU4)".
- 04522: [Documentation] m5bwaves: The correct description is "Brain
         Waves (Barcrest) (MPU5)".
- 04523: [Documentation] m4click: The correct description is "Clickity
         Click (Barcrest) (MPU4)".
- 04524: [Documentation] j6rh6: The correct year is 2002.
- 04520: [Documentation] j2supsft: The correct description is
         "Supashifta (Jpm) (MPS)".
- 04519: [Documentation] nudgeit: The correct description is "Nudge-
         It".
- 04521: [Documentation] j6cas5: The correct description is "Casino
         5ive Liner (Jpm) (IMPACT)".
- 04500: [Documentation] ep_simbg: The correct description is
         "SIMPSONS - Duff Beer Guide"
- 04517: [Documentation] j2cshfil: The correct description is "Cash-
         Filla (Pcp (MPS)".
- 04516: [Documentation] j5suphi: The correct description is "Super
         Hi-Lo (Jpm) (SYSTEM5)."
- 04515: [Documentation] megaaton: The correct name is "Meg Aaton".
- 04514: [Documentation] mousn_l1, mousn_l4, mousn_lu, mousn_lx: The
         correct description is "Mousin' Around!".
- 00504: [Graphics] hharryu, dkgensan: They have some background
         misplacement. (Roberto Zandonŕ)

Source Changes
--------------
Fixed up the flicky and clones (system1.c) Dip Switches after a fair
amount of playtesting.  Also, added some specific set notes related to
oddness/differences observed. [Tafoid]

Start of input ports cleanup in the Toaplan drivers:
[Alex Jackson, kanikani]
 * Removed some unused macros from toaplipt.h
 * Fixed polarity of DIPLOCATIONs in toaplan2.c
 * Added some missing inputs

Fixed tms99xx STCR command [Michael Zapf]

xmultipl: fixed tilemaps offsets [Roberto Zandona']

SDL: Add TAP/TUN networking capability and shell script for
configuration [Carl]

Added some common country and language names to the default strings,
and removed some unused and/or redundant strings [Alex Jackson]

Various improvement to Amiga FDC system [O. Galibert]

ipf: Describe the remaining fields [O. Galibert, SPS]

Rewrote NCR539x SCSI emulation from scratch [R. Belmont]

More Toaplan input fixes: [Alex Jackson, kanikani]
 * Added DIPLOCATIONs and missing inputs to twincobr.c, wardner.c,
    toaplan2.c
 * Added information about ingame test/debug features to comments in
    toaplan2.c
* Unified toaplan2.c inputs with the other Toaplan drivers

Converted neogeo MVS driver to use software lists in preparation for
multislot support [David Haywood]

neogeo.c: fixed kof98 on non-Windows builds [Alex Jackson]

Added per-channel volume control to ES5505/ES5506 sound chip, and
hooked it up to the Taito F3 driver [Angelo Salese]

Added a preliminary ES5510 DSP DRAM input/output latches support in
Taito F3 driver, fixes sound in Ring Rage and Riding Fight
[Angelo Salese]

Implemented FRC hook-up to Sega System 24 HW, fixes missing SFXs to
Bonanza Bros. [Angelo Salese, Phil Bennett, Charles MacDonald]

6522VIA: Implemented CA2 pulse output mode, and output interrupt state
only when it changes. [Curt Coder]

6532RIOT: Output interrupt state only when it changes. [Curt Coder]

hikaru: added 0.84 BIOS [Arzeno Fabrice]


New games added or promoted from NOT_WORKING status
---------------------------------------------------
Dirt Dash [Phil Bennett, hap]
Galaxy Game [Mariusz Wojcieszek, hap, Quantum Leaper]


New clones added
----------------
King of the Monsters 2 - The Next Thing (prototype)
  [Tormod, Kevin Eshbach, f205v, Smitdogg, The Dumping Union]
Alien Front (Rev T) [Arzeno Fabrice]
House of the Dead 2 (prototype) [Arzeno Fabrice]
18 Wheeler (Rev. A) [Arzeno Fabrice]
Zero Team (set 5, Korea, Dream Soft license) [Guru, gp-lee]


New games marked as GAME_NOT_WORKING
------------------------------------
Gunbalina (GNN1 Ver.A)
  [Yohji, hap, Krusty, B. Munger, Brian Troha, D. Edwardson, Kevin
  Eshbach, R. Weidinger, J. Kretschmer, Smitdogg, The Dumping Union]
Arcana Heart Full [Tormod, Smitdogg, The Dumping Union]
Melty Blood Actress Again [The Dumping Union]



0.143u9
-------

MAMETesters Bugs Fixed
----------------------
- 04509: [Core] Analog controls are broken on keyboard when joystick
         is enabled (Alex Jackson)
- 04394: [DIP/Input] All games with paddle inputs: IPT_PADDLE inputs
         do not center properly when mapped to an analog joystick
	 (Alex Jackson)

Source Changes
--------------
fix listing of switches used by gambling games [kanikani]

Hooked up MC6845 to Laser Base [Angelo Salese]

Hooked up PIT to Laser Base [Angelo Salese, Tomasz Slanina]

Changed some of the default mappings for analog controls in order to
fix various input-fighting bugs (including, but not limited to,
MT#4394 and MT#4509). Reverted the u8 change to analog joystick
handling--it only partially solved the problem it was meant to fix, it
introduced new issues in return, and generally made the code more
complicated for little benefit [Alex Jackson]

Improved game documentation to Naomi / Triforce / Chihiro HW [f205v]

New clones added
----------------
Battle Shark (Japan, Joystick) [ShouTime]



0.143u8
-------


MAMETesters Bugs Fixed
----------------------
- 04505: [Graphics] airbustr and clones: Background scrolling is jerky
         (hap)
- 04497: [Crash/Freeze] spss4240: Hang during "Initializing.." routine
         (Jim Stolis)
- 04496: [Crash/Freeze] m1cluecb, m1przclu: Hang of application after
         OK (R. Belmont)
- 04441: [Crash/Freeze] Most sets in triforce.c: Crash/Assert before
         OK (R. Belmont)
- 04502: [Crash/Freeze] crtaxihr, mj2, mj3, outr2st: Stop before
         "Initialization" completion (R. Belmont)
- 04503: [Crash/Freeze] azumanga, initdv2jo, initdv3jb: Access
         Violation during "Initializing" (R. Belmont)

Source Changes
--------------
Improvements to magicfly.c [Roberto Fresca]
 * Confirmed and fixed CPU clock for magicfly and 7mezzo.
 * Rearranged the graphic ROMs addressing. Splitted both gfx banks.
 * Created and minimized the color palette for both gfx banks.
 * Fixed colors for magicfly and 7mezzo.

Provided DVD dump for junai [alien_mame, The Dumping Union]

lethalen: improved offset screen and gun in japan version; removed
eeprom default values [Roberto Zandona']

taito_z.c: Added PCB locations to the Aqua Jack sets [ShouTime]

taitopjc: Preliminary text layer and I/O CPU hookup [Ville Linde]

taitotz: preliminary text layer hookup [Ville Linde]

viper: implemented timers and I2C interface on MPC8240 [Ville Linde]

voodoo: preliminary Voodoo 3 support [Ville Linde]

Wrote a basic core for Epson RTC-9701 device chip [David Haywood,
Angelo Salese]

Fixed various translitteration errors in csplayh5.c game name
descriptions [Fujix]

Fixed Juno First refresh rate and interrupt firing
[Angelo Salese, Chris Hardy]

Removed deprecat.h usage from higemaru.c [Angelo Salese]

Removed deprecat.h usage from srmp6.c [Angelo Salese]

naomi: fix various crashes for some GD-ROM sets [R. Belmont]

Added tables from vlm5030 as verified by decap from ogoun. Adapted
vlm5030 to use the tms5xxx common tables file. Some details have yet
to be worked out for certain (how exactly the reflection coefficients
beyond k=2 address the k2+ rom)
[ogoun, Lord Nightmare, The Dumping Union]

Adjusted the VLM5030 K3 thru K10 coefficients to be based not on
reading the K2 rom but based on the index itself <<6 or 7. This makes
the games sound much better and explains the very small ram size used
for coefficients other than K1 and K2. This needs further
investigation and figuring out of the die schematic to settle
completely. [Lord Nightmare]

Various gottlieb.c fixes [Tafoid]
 * Verified through playtesting, manuals and in-game service modes all
    dips in the driver.  Consolidated and added Dip Locations based on
    all available information.
 * Changed Q*bert and Q*bert's Qubes joystick layout to 8-Way to allow
    for diagonals to be not only be mapped but used if desired.

Optimzied SH4 core by using a single opcode jump table instead of
nested switch statements [David Haywood]

namcos22.c: improved flat shading and depth cueing [hap]

Golden Poker driver improvements. [Roberto Fresca]
 * Mapped the Dallas DS1210 for Video Klein sets that have one.
 * Mapped the 2800-2fff range as RAM for the non-Dallas Video Klein
    sets.
 * Some minor fixes.

Fixed colors to Witch Card (Video Klein CPU box, set 2)
[Roberto Fresca]

Novo Play Multi Card / Club Card improvements: [Roberto Fresca]
 * Added proper button-lamps support and layout.
 * Added default NVRAM, necessary to boot.
 * Added technical notes.

JPM IMPACT changes that make the display at least work now, and some
more M1 set splitting [James Wallace]

Preliminary emulation of the YMZ770 sound chip
[R. Belmont, O. Galibert, MetalliC]

Funworld driver: Documented hopper motor line (temporarily added as an
extra lamp). Better documentation of output ports... Novo Play Multi
Card: Added PIAs connections layout, added 'Allow Autohold' DIP
switch. [Roberto Fresca, Rob Ragon]

Various improvements to Magic the Gathering: Armageddon [Phil Bennett]

NVRAM devices each have their own files, when applicable.  The output
of such will be "NVRAM\setname\devicefile.".  Some cases will still use
the old "NVRAM\setname.NV" method until they have been converted
properly. [smf]

Made some fixes/additions to the input system [kanikani]
 * Added the possibility to press contradictory direction digital
    joystick input at the same time (i.e. up-down, left-right);
 * Added the possibility to set an arbitrary value for coin impulses;
 * fixed a bug with loop lever routine
 * fixed a bug with analog joystick routine

Various fixes in tnzs.c driver [kanikani]
 * Plump Pop
 - update DIPSW item (collision between each players' child)
 - added DIPLOCATION
 * Extermination
 * Arkanoid Revenge of DOH
 * Dr.Toppel
 * Kageki
 * Chuka Taisen
 * The Newzealand Story
 - added DIPLOCATION
 * Kabuki Z
 - fixed difficulty DIPSW (EASY and MEDIUM is reversed)
 - added DIPLOCATION
 * Insector X
 - fixed difficulty DIPSW (based on manual)
 - added DIPLOCATION

Various fixes in tmnt.c driver [kanikani]
 * T.M.N.T.
 - fixed visible area (garbage on each side is correct (verified on
    PCB))
 - fixed DIPSW
 - added DIPLOCATION
 * Golfing Greats
 - fixed inputs
 - fixed DIPSW
 - added DIPLOCATION
 * Trigon
 * Cuebrick
 * M.I.A.
 * Punk Shot
 - fixed DIPSW
 - added DIPLOCATION
 * Premiere Soccer
 - added DIPLOCATION
Various fixes in ninjaw.c driver [kanikani]
 * Ninja Warriors
 - added DIPSW notes
 * Darius II
 - fixed DIPSW
 - fixed game description
Various fixes in twin16.c driver [kanikani]
 * Majuu no Oukoku
 - fixed inputs
 - fixed DIPSW
 - added DIPLOCATION
 * Gradius II
 * Hard Puncher
 * M.I.A.
 * Cuebrick
 - fixed DIPSW
 - added DIPLOCATION

Fixed DIPSW in Darius II [kanikani]

Fixed DIPSW in Ninja Ryuukenden / Ninja Gaiden [kanikani]

Various fixes in galaga.c driver [kanikani]
 * Bosconian
 - fixed DIPSW
 - fixed DIPLOCATION
 * Galaga
 * Xevious
 * DigDug
 - fixed DIPLOCATION
Fixed DIPSW and DIPLOCATION in segas24.c driver [kanikani]

Fixed DIPSW and DIPLOCATION in segas18.c driver [kanikani]

Fixed DIPSW in segag80r.c driver [kanikani]

Fixed DIPSW in segag80v.c driver [kanikani]

Fixed DIPSW in segald.c driver [kanikani]

Fixed DIPSW in Ninjakun and Penguin-Kun Wars [kanikani]

Various fixes in dec0.c driver [kanikani]
 * Heavy Barrel
 - fixed DIPSW
 - fixed DIPLOCATION
 * Birdie Try
 * Dragon Ninja
 * Fighting Fantasy
 * Midnight Resistance
 - fixed DIPSW
 * Robocop
 - fixed DIPLOCATION

Fixed coinage DIPSW using Sega common setting in segaybd.c,
segaorun.c, segaxbd.c, segahang.c, segae.c, segac2.c, segas16a.c and
segas16b.c drivers [kanikani]

Fixed coinage DIPSW using Konami common setting in chqflag.c, pooyan.c
and rockrage.c drivers [kanikani]

Various fixes in sega16b.c driver [kanikani]
 * Ace Attacker
 - added I/O board read routine
 * Dunk Shot
 - fixed DIPLOCATION
 * Sukeban Janshi Ryuko
 - added DIPSW
 * Time Scanner
 - fixed DIPSW

Various fixes in sega16a.c driver [kanikani]
 * Ace Attacker
 - changed to use analog device
 * Sukeban Janshi Ryuko
 - added DIPSW
 * Time Scanner
 - fixed DIPSW

Fixed / added comments in ninjakd2.c driver [kanikani]

Made some video optimizations in toypop.c driver [kanikani]


New games added or promoted from NOT_WORKING status
---------------------------------------------------
Waku Waku Doubutsu Land TonTon [Angelo Salese, Yasuhiro Ogawa, Roberto
Fresca]
Kasino '89 [Roberto Fresca, Rob Ragon, Tomasz Slanina]
Novo Play Multi Card / Club Card [Roberto Fresca, Rob Ragon]


New clones added
----------------
Crash (bootleg of Head On) [f205v]
Gunbuster (US) [ShouTime]
Mustafa and 40 Thieves (Bootleg)  [f205v]
Flyball (rev 2) [Siftware]
Bad Lands (bootleg, alternate) [Tomasz Slanina]
Witch Card (Video Klein CPU box, set 2) [Roberto Fresca, Team Europe]
Alpha Mission 2 (prototype) [Brian Hargrove]
Burning Fight (prototype) [Brian Hargrove]


New games marked as GAME_NOT_WORKING
------------------------------------
Unknown TMS9980 Poker Game [Roberto Fresca, Team Europe]
Junai 2 - White Love Story [alien_mame, The Dumping Union]
Namco Stars [Yasuhiro Ogawa]
Sega's Golden Poker Series "Joker's Wild" [Yasuhiro Ogawa]
Real Puncher [Phil Bennett, Chris Hardy]
Speed Driver [XingXing]
Racing Jam DX [Tomas Dahlgren]



0.143u7
-------


MAMETesters Bugs Fixed
----------------------
- 02448: [Graphics] lethalen: External' rowscroll not hooked up
         correctly (1st attract level, highscores). (Roberto Zandona')
- 04471: [Crash/Freeze] Many sets using m68000-family CPU: Access
         Violation (Sandro Ronco)
- 04345: [Sound] nbbatman, ssoldier and clones: Sounds freezes or
         halts after a time (Mamesick)
- 04386: [Graphics] timecris and clones: Specific room with incorrect
         lighting on Stage 2 (hap)
- 04495: [Crash/Freeze] All sets in cd32.c: All games fail to boot
         properly (mariuszw, R. Belmont)
- 00258: [Graphics] blswhstl: Graphic glitch on the final boss.
         (robiza)
- 00373: [Graphics] butasan: There are missing background tiles and
         wrong colours. (robiza)
- 00172: [Graphics] butasan: The top status area (where the score and
         time info is) is missing text and has wrong colors. (robiza)


Source Changes
--------------
Major rewrite of umipoker and saiyukip input system. Added missing
inputs, fixing structure. Added button- lamps support and layout to
saiyukip, coin counters and complete documented outputs to both games.
Also reworked the DIP switches structure to match what the test mode
shows, with their respective DIP locations [Roberto Fresca]

Complete DIP switches & DIP locations for Umi de Poker and Slot Poker
Saiyuki [Roberto Fresca]

Added Cherry Master '97 PCB layout. [Roberto Fresca, Team Europe]

Fix for systems where getc() is a #define rather than a function
[ElBarto]

neogeo: Fixed game saving [ElBarto]

butasan: fixed text ram banking [Roberto Zandona']

blswhstl: fixed screen size and zoom [Roberto Zandona']

Exposed the Z80 DART interrupt vector to non-Z80 users. [Curt Coder]

Improved inputs and added some TLB notes in the Aleck64 driver
[Peter Sealy]

m68000 - Fix for MINGW compiler optimization [Sandro Ronco]

Big10: Fixed default DIP switches and DIP locations. [Roberto Fresca]

Fixed all HLSL stability issues except visible crease. [Ryan Holtz,
    Bat Country Entertainment]

Fixed Z80DART FIFO starting index. [Curt Coder]

m68k: Activate trace emulation and fixed it [O. Galibert]

m68000: Avoid a case when dropping the irq mask just after taking a
auto-acked interrupt would cause a spurious irq [O. Galibert]

m68000: Reset the double-bus/address-error flag where appropriate to
avoid halting on consecutive but not linked exceptions [O. Galibert]

m68k: preliminary support for ColdFire family and MCF5206E [R. Belmont]

namcos22.c: Fixed or improved polygon fade, high priority polygons,
texture c-mode, sprite seaming, textlayer alpha/shadow, DSP external
memory addressmask, and some other smaller issues. [hap]

sh3/4: fixed big-endian mode [R. Belmont]

Hooked up touch screen to Odeon Twister 2 [Mariusz Wojcieszek]

Fix incorrect masking of register writes on ay-3-8914, fixes wrong
envelope amplitude on games which use hardware enveloping on
Intellivision (Thunder Castle, etc) [Huygens]

Added complete dump for sfish2 [Guru]

namcos22.c: Fixed or improved tokyowar sprite garbage, sprites in
alpinesa alpinr2a/b and cybrcycc, sprite x/y flipping, sprite delta
x/y, texture c-mode (again), and some z priority issues. [hap]

tms9928a.c: Fixed colission detection regression.  [Wilbert Pol]

m68k: preliminary 68040 MMU implementation [R. Belmont]

Figured out the sound system of Muroge Monaco and clones. It's a
Delta-Sigma DAC (1-bit/Bitstream), driven by the bit 3 of the output
port 0x7000. [Roberto Fresca]

Fixed the graphics decode of Las Vegas. [Roberto Fresca]

Added correct P1 and M1 for Neo Mr. Do and made some documentation
updates in the Neo-Geo driver [Johnboy]

Updated intelfsh.c in order to support AMD 29F080 chip [Sandro Ronco]

namcos23.c: added gun input to Time Crisis 2 [hap]

Further major organization, documentation and reordering of numerous
(about 2500) gambling / Fruit machine titles covering multiple
systems.  [David Haywood]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
PEPSI Man [Luca Elia, Yasuhiro Ogawa]
Uchuu Tokkyuu Medalian [Luca Elia, Yasuhiro Ogawa]
Funcube 3 [Luca Elia, Yasuhiro Ogawa]
FamicomBox [Mariusz Wojcieszek]


New clones added
----------------
Jungle King (alternate sound)  [Andrew Welburn]
Zero Gunner (Japan, Model 2A) [Tormod, Brian Troha, The Dumping Union]
Last Bronx (USA, Revision A) [R. Mucciarelli, The Dumping Union]
Viper Phase 1 (USA, New Version, set 2) [Arzeno Fabrice]
Vigilante (US) - Rev. G  [Corrado Tomaselli]
Cruis'n Exotica v1.0 [Brian Troha, The Dumping Union]
NBA Jam T.E. Nani Edition (rev 5.2 8/11/95) [TerryMasters]
Muroge Monaco (set 3) [Roberto Fresca, EMMA Italian Dumping Team]
Butasan - Pig's & Bomber's (Japan, English) [Bensonrad]
Aqua Jack (US) [ShouTime]


New games marked as GAME_NOT_WORKING
------------------------------------
Cherry Master '97 [Roberto Fresca, Team Europe, FatArnold]
Metalman [PinMAME]
Pimbal (Pinball 3000) [PinMAME]



0.143u6
-------


MAMETesters Bugs Fixed
----------------------
- 04483: [Compiling] sdlmame does not build in OpenBSD (R. Belmont)
- 04488: [Sound] All games in ms32.c: Jaleco Mega System 32 is mono
         only (Angelo Salese)
- 03541: [DIP/Input] victlapw: Cannot insert coins. (hap)
- 02543: [Color/Palette] raveracw, raveracj, raveracja: Sudden in-game
         darkness. (hap)
- 01949: [Graphics] cybrcycc: No background graphics when choosing
         Hard course. (hap)
- 00136: [Crash/Freeze] acedrvrw: I was passing the first checkpoint
         on the first track and was heading off the track, it crashed.
	 (hap)
- 02008: [Crash/Freeze] acedrvrw, victlapw: The 2 Ace Drivers game
         crash during attract mode (hap)
- 04480: [Misc.] All sets in mpu4.c and mpu5.c: Running any sets cause
         "validation checks failed" message (Tafoid)

Source Changes
--------------
Replaced M1 rom with proper dump for nprsp (NeopriSP Retro Collection)
[The Dumping Union]

m68k: fixed another buffer overflow bug [Belegdol, R. Belmont]

Added preliminary MCU handshake simulation sequence for astyanax,
hachoo, jitsupro, plusalph, stdragon and removed ROM patches for those
games [Angelo Salese]

Implemented inputs for edfbl and monkelf [Angelo Salese]

Fixed attract mode behaviour in Cybattler [Angelo Salese]

Added MCU dumps for X-Multiply (m72) and Image Fight 
[The Dumping Union]

Removed deprecat.h usage from Jaleco Mega System 1 [Angelo Salese]

Improved sprites in King Derby [Angelo Salese]

Implemented default INIT register for MC68HC11 CPU core, necessary for
Namco's 30 Test HC11 sub-variant to work properly [Angelo Salese]

Implemented preliminary Free Running Counter timer for MC68HC11 CPU
core [Angelo Salese]

Added ROL EXT, ROL INDX, ROL INDY, STS DIR opcodes to the HC11 CPU
core [Angelo Salese]

Implemented save support to HC11 core [Angelo Salese]

Added preliminary 7-seg artwork for King Derby [Angelo Salese]

dogpatch - added shot sounds [Derrick Renaud, iritis]

Yet more Neo-Geo work on game ROMs structures [Johnboy]
 * Finished to document used pcb's for cartridges
 * Finished removal of .bin extension in favour of
    chiplabel.socketlabel naming convention

Whitestar: added main CPU FIRQ, fixed main/DMD CPU comms, DMD VRAM is
now populated [R. Belmont]

Update raiden 2 driver with guru-style readme for raiden 2 pcb itself,
based on the raiden dx guru-readme. [Lord Nightmare]

Figured out BIOS loading in Super Kaneko Nova System
[Joerg Hartenberger]

model3: added drive board ROMs for Scud Race, Scud Race Plus, Sega
Rally 2, and Daytona USA 2 [Andy Geezer]

naomi: added drive board ROM for f355 [Andy Geezer]

Whitestar: correct sample loading for games with 4Mbit ROMs
[R. Belmont]

Various Nibbler clean-ups:  [Tafoid]
 * Set up Nibbler and clones to allow the Pioneer Balloon sound rom as
    OPTIONAL as some board configurations has this rom on board.  If
    it is missing from your romset, the game will be allowed to play
    without the music is desired.
 * Nibbler and clones have been reordered and renamed based on version
    information.
 * Added notes to the driver.

Various wiz.c fixes :  [Tafoid]
 * Fixed cocktail controls for scion and clone.
 * Took ROM_LOAD_OPTIONAL out of ROM_START that uses the audiocpu rom
    from scionc for scion.  The original scion audiocpu is not
    emulated correctly, is a known issue, and was only covered up by
    the use of this other dump from scionc.

whitestar: correct sample ROM loading for games with 8Mbit sample ROMs
[R. Belmont, Tafoid]

Allow region tags starting with a : to mean "absolute" so devices can
access the parent base driver's ROM regions [R. Belmont]

Moved DECO BSMT2000 sound board out to a device shared between
Whitestar and tattass [R. Belmont]

WD17xx: Connected Side Select Output for variants that support it.
[Curt Coder]

More minor notes about different raiden 2 set sound roms and suspected
(but as of yet unproven) version order. [Lord Nightmare, trap15]

Update sp0256 core to use correctly ordered resroms; update sauro
driver to use correctly ordered sp0256-al2 resroms.
[Huygens, Lord Nightmare]

namcos22.c updates [hap]
 * fixed acedrvrw and victlapw crash from buffer overflow
 * fixed dirtdash crash due to pointrom size, the game still doesn't
    work though
 * improved display fader (used in raveracw)
 * cleaned up inputs and added default nvram where useful
 * properly emulated step lock motor status for the skiing games

Added basic PCB layout for Reel'N Quake! [Brian Troha]

Further major organization, documentation and reordering of numerous
(over 1700) gambling / Fruit machine titles covering multiple
systems.  [David Haywood / James Wallace]


New games added or promoted from NOT_WORKING status
---------------------------------------------------
Bingo (set 1) [Roberto Fresca, EMMA Italian Dumping Team]
Bingo (set 2) [Roberto Fresca, The Dumping Union]
30 Test (Remake) [Angelo Salese, Yasuhiro Ogawa]
Candy Candy
  [Kevin Eshbach, ranger_lennier, B. Munger, bodger319, Brian Troha, Smitdogg, The Dumping Union]
Deluxe 5
  [Steetgames, bodger319, G. Mateo, M. Rodrigo, R. Weidinger, Brian Troha, Smitdogg, The Dumping Union]
PEPSI Man [Luca Elia]
Super Shot [Mariusz Wojcieszek, Team Europe & fallout]
Umi de Poker / Marine Paradise [Angelo Salese, Yasuhiro Ogawa]
Slot Poker Saiyuki [Angelo Salese, Yasuhiro Ogawa]


New clones added
----------------
Ikari 3 (Japan) [ShouTime]
Exvania (World) [Tormod, The Dumping Union]


New games marked as GAME_NOT_WORKING
------------------------------------
Croupier (Playmark Roulette v.20.05) [Roberto Fresca]
Video Poker (v1403) [Roberto Fresca]
Funcube 3
Mahjong Momotarou



0.143u5
-------


MAMETesters Bugs Fixed
----------------------
- 02700: [Speed] pocketrc: game runs too fast (hap)
- 04477: [Documentation] naomi: Duplicate File entries in each set in
         driver (Tafoid)
- 04475: [Graphics] quizmeku: Missing gfx (M.A.S.H.)
- 03641: [Graphics] sspirits, gground: Only half of the game's frames
         are rendered. (M.A.S.H.)
- 03195: [Gameplay] crkdown: graphic artifacts and speed drop during
         gameplay (M.A.S.H.)
- 00961: [Sound] raidena: Some music channels go out of sync after a
         while. (Kold666)
- 04397: [HLSL] MAME freezes with a hlsl .ini file. (MooglyGuy)

Source Changes
--------------
Implemented double buffering and improved colors for 3d in Top Landing
[Angelo Salese]

naomi.c: Added rev "A" Japan BIOS, original Korean BIOS as well as rev
"D" Korea [gamerfan, Smitdogg, BrianT, The Dumping Union]

armedf.c: Verified correct sprite roms for Terra Force (Japan)
[ShouTime]

dday.c: Added dipswitch locations to the D-Day sets
[Corrado Tomaselli, Brian Troha]

m68k: Preliminary support for MC68340 (CPU32).  Reorganized to
facilitate C++ conversion. [David Haywood]

m68k: use 68340 instruction table for 68340, cpXXX instructions are
020/030 only, add CINV, CPUSH stubs for 040 [R. Belmont]

Add comment about new raiden2 rom combination, add missing pals as
undumped, fix IC locations on several sets.
[Lord Nightmare, Hammad, EdCosta]

Various HLSL fixes: [Ryan Holtz, Bat Country Entertainment]
 * Created two flags, -hlsl_ini_write and -hlsl_ini_read. The former
    enables custom HLSL INI writing explicitly, the other enables
    loading of the same.
 * Fixed disappearing aperture effect when using custom INI files.
 * Fixed diagonal seam on some games, for serious real this time
 * Fixed phosphor simulation, now works as expected

model3.c: Redumped Spikeout FE. Special thanks to Phil Bennett & Bart
Trzynadlowski for verifying and testing the redumped roms. [Dr.
Spankenstein, wild eyed, Paratech, Layne, Lord Flux, atchoo, cbt,
gatt9, tormod, BrianT, The Dumping Union]

only report samples audit result for sets with required samples
[Fabio Priuli]

fixed segfault when using -verifysamples [Fabio Priuli]

floppy: Refactor slightly.  Name, descrition, etc are now an intrinsic
property of converters. [O. Galibert]

Added some Stern Whitestar older revisions [Miodrag Milanovic]

Preliminary work at the projection calculation for 3d eye-space points
in Air Inferno [Angelo Salese, Andrew Gardner]

es5503: converted to modern device, improved IRQ timing [R. Belmont]

C352: don't try to play zero-length samples [Phil Bennett]

M377xx improvements
 * Respect the restored mode bits for PUL [hap, R. Belmont]
 * Proper cycle counts for PSH/PUL [R. Belmont]
 * Fixed flags for multiply/division and divide by 0 interrupt [hap]
 * Pass program bank to debugger hook so breakpoints work outside
    of bank 0 [R. Belmont]
 * Fixed interrupt flags for internal peripherals, corrected
    BBC/BBS when running outside of bank 0 [R. Belmont]
 * Several other interrupt timing and priority fixes [hap]

whitestar: make modern, add sound system.  no work on main CPU part
yet. [R. Belmont]

floppy: Add brand-new MFI (MESS floppy image) support. [O. Galibert]

mfi: Fix the format thanks to smf's help [O. Galibert]

amigafdc: Modernize, but don't change a thing (yet) [O. Galibert]

floppy: Change the internal format to use magnetic cells.  Temporarily
move the full-track pll bit extraction in the amiga fdc. [O. Galibert]

st_dsk: Add the easy ST formats [O. Galibert]

tempest.c: Corrected the rom labels, description and documentation for
the revised hardware rev 3 of Tempest. Added dipswitch locations for
the Tempest sets. [Brian Troha]

globalfr: filled in a little more of the memory map [R. Belmont]

Yet more Neo-Geo work on game ROMs structures [Johnboy]
 * Continued to document used pcb's for cartridges
 * More removal of .bin extension in favour of chiplabel.socketlabel
    naming convention
 * Added correct v1 to pulstar
 * Corrected layout of pgoal according to original cart
Added redumped c1/c2 and v1 to quizdaisk [DsNo]

Various changes and improvements to the Chihiro emulation
[Samuele Zannoli]
 * modifies the ide device (idectrl.c) so it supports cases where it
    is not connected to an hard disk, but to some different hardware
 * adds PC devices 8259 pic, 8253 pit, ide controller
 * adds "chihiro" command with subcommands "jamdis", "dump_string",
    "dump_process", "dump_list", "help"
 * updates the smbus controller and adds stubs for the pic16lc,
    cx25871, eeprom smbus devices
 * updates the memory map for the newly added devices
 * fixes the size of the "others" region
 * adds hack for the missing dump of the smbus eeprom

Decoded graphics in gigaman2 [iq_132]

Hooked up sound, fixed layer offsets in ppan [iq_132]

Fixed graphics glitches in speedspn on character select screen
[iq_132]

Fixed layer enable in cninjabl, giving it working status [iq_132]


New games added or promoted from NOT_WORKING status
---------------------------------------------------
Ridge Racer 2
Free Kick [Charles MacDonald, The Dumping Union]


New clones added
----------------
1943: Midway Kaisen (Japan, Rev B) [Foul]
Rad Rally (Japan) [Arcadecomponents.com]
The King of Fighters '97 (Korean release) [DsNo]


New games marked as GAME_NOT_WORKING
------------------------------------
Fighting Bujutsu [Ville Linde, R. Belmont]



0.143u4
-------


MAMETesters Bugs Fixed
----------------------
- 02084: [DIP/Input] sokyugrt: Emulation starts with 1 or more credit
         inserted (Angelo Salese)
- 04366: [DIP/Input] shanhigw: The game starts with 2 credits inserted
         (Angelo Salese)
- 04470: [DIP/Input] roundup5, sci, chasehq, contcirc, dblaxle:
         Missing PORT_TOGGLE (M.A.S.H.)
- 04396: [Interface] all games and drivers: Refreshspeed activating
         when not needed (hap)
- 04453: [Graphics] shackled: Garbled sprites (David Haywood)

Source Changes
--------------
driver.h: fixed handling of compatible systems for MESS [Fabio Priuli]

tbowl.c: Corrected some dipswitches and settings. Added dipswitch
locations to the Tecmo Bowl sets. [Brian Troha]

Added correct sprite rom for "Mahjong Tian Jiang Shen Bing" [Guru]

Decrypted sprites and palette in "Mahjong Tian Jiang Shen Bing", added
inputs, sidestepped protection [Luca Elia]

z80dma: Added an alternative way of register read-back that directly
change the read mask without passing from the init read sequence
command, also moved around DMA counters incrementing [Angelo Salese]

tecmo.c: Added proper region to Gemini and Silk Worm sets. Added
dipswitch locations to Rygar sets, Gemini, Silk Worm and Back Fire
(Tecmo, bootleg). [Brian Troha]

Removed support for PORT_CATEGORY from the core, since PORT_CONDITION
is enough to deal with removable controllers in MESS [Fabio Priuli]

ioport.c: during emulation, detect keyboard only when enabled
[Fabio Priuli]

Various Neo-Geo changes: [Jackc, Johnboy]
 * Continued to document used pcb's for cartridges
 * More removal of .bin extension in favour of chiplabel.socketlabel
    naming convention
 * Cleaned up fightfev: Removed duplicate p2, marked p1 bad dump
 * Cleaned up fatfury2

Fixed independent channel volumes in Okim6376 sound chip, used by the
games from the Road Hog era of MPU4 [J. Wallace]

Moved ST-V game-specific overrides from saturn.c/stvinit.c to stv.c,
makes games to correctly return stv.c instead of saturn.c if you use
-listsource [Angelo Salese]

Moved change clock inside a timer and worked on NMI generation for
SMPC, fixes most instances of 2 credits at start-up for ST-V games
[Angelo Salese]

General portability fixes [Robert Muth, R. Belmont]

Rewritten ST-V IOGA system from scratch [Angelo Salese]

ymz280b.c: several minor fixes, including the issue that caused
glitched sfx in tecmosys.c tkdensho and deroon [hap]

Fixed mahjong panel input quirks for Virtual Mahjong and My Fair Lady
[Angelo Salese]

Provided some cheesy hacks to allow Magical Zunou Power to boot
[Angelo Salese]

Converted VDP2 registers into proper 16-bits parallelism
[Angelo Salese]

chdman - supported full/relative paths when creating cd rom image,
also added support for GDI with files containing space char
[Miodrag Milanovic]

Added support for loading other image types to cdrom device, with use
of chdman part of code [Miodrag Milanovic]

floppy: Add generic track data descriptors [O. Galibert]

Added MVOL to the SCSP core, used for sound fade in/out
effects [Angelo Salese]

Various fixes to the Taito JC system [Angelo Salese]:
 * implemented preliminary object RAM bankswitch, fixes Densha de Go
    garbage video objects if you coin up during attract mode
 * improved inputs in Densha de Go, promoted game to working state;
 * fixes analog inputs in Landing Gear;
 * work around for DSP reset line in Dangerous Curves, allows it to reach
   title screen (no 3d yet due of other problems);
 * Implemented 4bpp mode for object RAM, used by Densha de Go 2 credit
   display;
 * Fixed IRQ6 triggering in  (it's a signal that's sent from DSP
   to Main to communicate that job is done);
 * Faked the Mascon via an analog port, that fixes a bunch of issues
   with undefined input state for Densha de Go 1 and 2
 * Fixed ROM loading in Densya de Go 2 Kousoku-hen, fixes booting in it;
 * Fixed Densha de Go 2 crash when entering into gameplay, game is
   now playable;
 * Implemented gouraud shaded triangles, fixes Landing Gear messed up 
   3D;
 * Fixed credit display in Densha de Go;
 * Preliminary implementation of object RAM screen masking, used to cover
   left-right sides of the screen;
 * Added DSP idle skips, mostly noticeable during POST screens;

Provided odometer and break table conversion for Densha de Go 
[O. Galibert]

naomi: Split the rom boards into a collection of devices. 
[O. Galibert]

williams.c: added second sound board to blaster/blaster30 [hap]

Fixed TMS32051 debug memory viewer [Angelo Salese]

williams.c update 2 [hap]
 * fixed screen garbage when frameskipping
 * fixed blaster background color (eg. screen flashes when hit)

Work-around for TMS32051 crash on Taito JC system soft reset [Angelo Salese]

Fixed a debugger crash if you try to view data memory in TMS32051
[Angelo Salese]

Add preliminary support for big-endian SH-3/SH-4 CPUs. [R. Belmont]

m68k: improved disassembly of CINV and CPUSH [R. Belmont]

Moved 3d drawing functions outside of the screen updating function in
Taito Air System driver, this should help in preparation of properly
fixing the 3d graphics in it [Angelo Salese]

Further major organization, documentation and addition of numerous
(over 800) gambling / Fruit machine titles covering multiple
systems.  [David Haywood]


New games added or promoted from NOT_WORKING status
---------------------------------------------------
Mahjong Tian Jiang Shen Bing (V137C) [Guru, bnathan, Dyq, Luca Elia]
Densha de GO! [Angelo Salese, R. Belmont]
Densha de GO! 2 [Angelo Salese, R. Belmont]
Landing Gear [Angelo Salese, R. Belmont]
Penky [Kevin Eshbach, ranger_lennier, B. Munger, bodger319, Brian
       Troha, The Dumping Union]

New clones added
----------------
Phoenix (Irecsa / G.G.I Corp - set 2) [f205v, robotype]
Rescue (bootleg) (not working) [f205v, robotype]
The End (bootleg) (not working) [f205v, robotype]
Missile Combat (Sidam bootleg) (not working) [f205v, robotype]
Biomechanical Toy (Ver. 1.0.1884) [Tirino73]
Shocking (Korea) [Mark F., Smitdogg, The Dumping Union]
Puzz Loop (Europe, v0.94) [Joerg Hartenberger]


New games marked as GAME_NOT_WORKING
------------------------------------
Animal Basket [Yohji, Cah4e3, The Dumping Union]
Alien Front [Mark F., The Dumping Union, R. Belmont]
S-Plus (SS4240) Coral Reef [agemame]



0.143u3
-------


MAMETesters Bugs Fixed
----------------------
- 04443: [Sound] flower: hanging note in sound (hap)
- 02505: [Sound] asurabus: Sound effects are looping. (hap)
- 04319: [Sound] tengai, tengaij: Bomb sound effect drags on after
         activating. (hap)
- 04447: [Graphics] pblbeach: Incorrect sprite stretching during
         gameplay (Angelo Salese)
- 04446: [Graphics] kiwames: Sprites aren't drawn correctly 
         (Angelo Salese)
- 04448: [DIP/Input] warofbug, zigzag: Unable to coin. (hap)
- 03301: [Crash/Freeze] polepos2a, polepos2b: Game does not 
         start (hap)
- 04444: [Graphics] navarone: Cocktail Player 2 shot offset (hap)
- 04442: [Documentation] break: [possible] Wrong description
- 04438: [Crash/Freeze] All sets in zn.c: Crash after OK (smf)
- 04440: [Crash/Freeze] mquake: Crash before OK (smf)
- 04436: [Sound] sasuke: snk6502 Custom Audio pitched too high (hap)
- 04392: [Sound] polepos2, polepos2a, polepos2b: High-score music has
         a hung note throughout. (hap)
- 04434: [DIP/Input] hustler and clones: Missing Dip Switch (Tafoid)

Source Changes
--------------
m68k: 040 fpu ops are somewhat available on a 030 when the fpu is
added [O. Galibert]

cothreads: fixed to run on PowerPC Mac OS X [R. Belmont]

m68k: Added FSIN, FCOS, and FTAN using SoftFloat extensions
[Stanislav Shwartsman, R. Belmont]

Added socket support to windows osd [Miodrag Milanovic]

Fixed initialization order for slot devices [Nathan Woods]

Fix for the hlsl scanline jitter effect [nimitz]

drmicro.c: Added dipswitch locations to Dr. Micro [Brian Troha]

drtomy.c: Added dipswitch locations to Dr. Tomy [Brian Troha]

m68k: Fixed instruction support table ("fixes" taitojc regression) 
[O. Galibert]

f1gp.c: Added dipswitch locations to F-1 Grand Prix [Brian Troha]

Fix hlsl phosphor decay [nimitz]

warpwarp.c: Added dipswitch locations to all games in driver  [Tafoid]

h8: implemented LDM/STM, LDC/STC, double-shift versions of SHLL/SHLR,
BIT immediate, ROTR.B and .L, and ROTXR.L.  Makes Epoch and Cybiko
happy. [R. Belmont]

h8: added SLEEP opcode [R. Belmont]

tms9928a.c: Converted to a C++ device.  [Wilbert Pol]

h8: Added peripheral and IRQ support for H8S/2xxx CPUs.
[Tim Schuerewegen, R. Belmont]

metro.c: Added additional documentation, added PCB layouts for Mouse
Shooter GoGo, Bal Cube, Bang Bang Ball & Daitoride (YMF278B).
Corrected misc dipswitches and settings. Added dipswitch locations to
Bal Cube, Bang Bang Ball / Battle Bubble, Mouse Shooter GoGo, Blazing
Tornado, Grand Striker 2, Daitoride, Dharma Doujou, Gun Master, Karate
Tournament, Lady Killer / Moeyo Gonta!!, Last Fortress, Mahjong
Doukyuusei, Mouja, Pang Pom's, Poitto!, Puzzli, Sankokushi, Pururun,
Sky Alert and Toride II [Brian Troha]

Default layout for 4 screens systems added [Robbbert]

h8: fixed bset instruction [Tim Schuerewegen]

h8: added the rest of the H8S double-shifts, fixed up some bit
operations, and added 8-bit mulxs/divxs [R. Belmont]

Removing MD5 support in ROMLOAD_* [Oliver Stoneberg]

Various core and tools memory leaks fixes [Oliver Stoneberg]

taito_b.c: Major input port restructure. Fixed several incorrect dip
switches and coinage settings. Made use of PORT_INCLUDE and
PORT_MODIFY for regional sets to add correct regional coinage as
needed.  Added dipswitch locations to all sets in the driver.
[Brian Troha]

flower.c: further improved interrupts [hap]

H8: rewrote H8S/2xxx timers [Tim Schuerewegen]

taito_h.c: Added dipswitch locations to the driver [Brian Troha]

OS/2 build fixes [K.O. Myung-Hun]

taito_f2.c: Fixed some incorrect dip switches. Made use of
PORT_INCLUDE and PORT_MODIFY for regional sets to add correct regional
coinage as needed.  Added dipswitch locations to all sets in the
driver. [Brian Troha]

Updated romload so devices are loaded from separate files 
[Miodrag Milanovic]

Removed LOADBYNAME, since it is deprecated by using per device rom
load_software_part_region [Miodrag Milanovic]

Created makedev tool to generate array of devices, and created lst
file according to current devices usage. [Miodrag Milanovic]

Changed listxml command to output device roms too [Miodrag Milanovic]

taito_l.c: Added dipswitch locations to all the games in the driver
[Brian Troha]

taito_x.c: Standardized dipswitch notation and style through greater
use of PORT_INCLUDE and PORT_MODIFY.  Added dipswitch locations to
Gigandes, Last Strijer / Kyuukyoko no Striker & Balloon Brothers.
[Brian Troha]

Fixed memory unmap if mirror/mask was used [hap]

memory: Fix an endianness issue when doing a device mapping on a big
endian bus [O. Galibert]

Fixed DMA add values and a MVI condition shift flag bug in SCU DSP
core. [Angelo Salese]

metro.c: Add PCB locations to roms where possible. Corrected a few rom
lables. Added basic PCB layout for Mouja. Changed clock speeds to
values based on actual OSCs on the PCB. [Brian Troha]

Fixed SCU DSP PC reads from SH-2 side. [Angelo Salese]

cybertnk.c: Added dipswitches as per "Super" on MW forum & linked
Manual [Brian Troha]

karnov.c: Added dipswitch locations to Wonder Planet and the Chelnov
sets. [Brian Troha]

romident: format fix [O. Galibert]

Provided memory map documentation for Sega Hikaru HW [Stefano Teso]

Crystal descramble code for MPU4 [Project 'Amber']

ymf278b.c improvements [hap]
 * added status register BUSY and LD bits
 * accurate timers (same as ymf262.c)
 * added envelope attack rate
 * added damping and pseudo reverb
 * misc. fixes/cleanups

fuukifg2.c: Added notes about the difference of dipswitch settings as
reported by Service Mode and actual effect for Go Go! Mile Smile.
Corrected a couple of dipswitches and added dipswitch locations to Go
Go! Mile Smile & Gyakuten!! Puzzle Bancho [Brian Troha]

galspnbl.c: Corrected dipswitches and added dipswitch locations to
Gals Pinball & Hot Pinball [Brian Troha]

fuukifg3.c: Corrected dipswitches and added dipswitch locations to
Asura Blade & Asura Buster [Brian Troha]

Update Dwarf's Den/Electrocoin hardware pcb diagram and notes; Renamed
"Dwarf's den" to "Draw Poker III / Dwarf's den", as that is the set
currently in MAME (verified with working machine)
[Balrog, Lord_Nightmare]

funkyjet.c: Add dipswitch locations to Funky Jet & Sotsugyo Shousho
[Brian Troha]

flower.c: improved sound driver and fixed most of the hanging notes by
adding channel effects [hap]

Various aristmk4 fixes, that gets Enchanted Forest (12XF528902, US) and
Arctic Wins (4XF5227H03, US) to be working [FrasheR]

odin_dlx, solarwap, poleposn, sonstwar, wolfman, odisea (peyper.c)
[stephh] :
 * Improved and documented Dip Switches (after verification of the Z80
    code and the manuals when they were found)

freekick.c: Added dipswitch locations to all the games in the driver.
[Brian Troha]

funkybee.c: Added dipswitch locations to Funky Bee & Sky Lancer.
[Brian Troha]

firetrap.c: Added dipswitch locations to Fire Trap. [Brian Troha]

pktgaldx.c: Added dipswitch locations to Pocket Gal Deluxe sets.
[Brian Troha]

Added dipswitches and locations for Dwarf's den set from manual. Added
new dwarf's den romset with only card graphics. Corrected some errors
on the power port pinout and other port descriptions.
[Lord Nightmare, dox, bushjc, balrog]

galpanic.c: Added dipswitch locations to Gals Panic, Fantasia, Super
Model, New Fantasia, Fantasy '95, Miss World '96, Ms/Mr World '96,
Fantasia II & Gals Hustler. [Brian Troha]

pcktgal.c: Added dipswitch locations to Pocket Gal and clones.
[Brian Troha]

pbaction.c: Added dipswitch locations to Pinball Action and clones.
[Brian Troha]

paradise.c: Corrected a few dipswitch settings and names. Added
dipswitch locations to Paradise (plus clones) and Target Ball.
[Brian Troha]

Major reorganization and clean-up of SMPC [Angelo Salese]

mc146818: remove hacks [Hans Ostermeyer]

sh2: fix fractional FRC increments [R. Belmont]

fuukifg3.c: readded ymf262, used in the music for fm channels [hap]

Fix sound in Sega Model 2a/2b/2c. [trap15, R. Belmont]

Fix SHARC CPU in unidasm [trap15]

Further major organization, documentation and addition of numerous
(over 800) gambling / Fruit machine titles covering multiple
systems.  [David Haywood]

Various fixes to Aristocrat MK-V HW [Palindrome]
 * Fixed NVRAM & random crashes
 * Set default mode to game mode
 * Added watchdog timer
 * Dram emulator error fixed
 * External Video Crystal Error fixed
 * Fixed 2khz timer



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Enchanted Forest (12XF528902, US) [FrasheR]
Arctic Wins (4XF5227H03, US)  [FrasheR]



0.143u2
-------


MAMETesters Bugs Fixed
----------------------
- 04242: [Graphics] All sets in m62.c and phoenix.c: Colors appears
         "washed out" (hap)
- 04432: [Crash/Freeze] destroyr, destroyr1: Irratic timing and crash
         (hap)
- 02729: [Core] tms9928a.c: wrong address write, wrong sprite overflow
         (hap)
- 04431: [Graphics] cottonbm: 1st Level boss play completely invisible
         (Angelo Salese)
- 00460: [DIP/Input] gimeabrk: When cabinet is switched to cocktail
         mode, player 1 controls do not function. (Tafoid)
- 04428: [Sound] All sets in balsente.c: Audio/Sound is malfunctioning
         or completely missing (Tafoid)
- 04423: [Graphics] vulgus, vulgusa: Screen rotated 90 degrees from
         normal (Angelo Salese)

Source Changes
--------------
balsente.c - A number of fixes and improvements: [Tafoid]
 * gghost - DIP Location fixes. 
 * gimeabrk - Added 2nd Player trackball, button and a 2 player
   start button to complete Cocktail support.  Note:  When mode is
   Cocktail, normal player 1 controls becomes player 2's.  
   Fixes MT Bug#00460. 
 * hattrick - Player 1 (Blue) Control re-addition.  Left
   player could not be controlled correctly. 
 * rescraid - Fixed control orientation to match that of an actual control panel 
   (steering = left stick, shooting = right stick). 
 * stompin - Dropped redundant left/right joystick controls. 
 * toggle - Default controls changed to a normal joystick, rather then the left-side of a two-joystick setup.

Corrected Cosmic Monsters overlay to match that from a reference video
of an actual cabinet.  [Tafoid)

taitoair: give perfect interleave, improves 3D in topland (still not
perfect). [R. Belmont]

Model 3: working sound comms [Bart Trzynadlowski, R. Belmont]

Various Sega Saturn / ST-V fixes, that allows correct sound in Baku
Baku Animal and Funky Head Boxers, also removed instadma hack, used by 
Pebble Beach Golf and Funky Head Boxers [Angelo Salese]

m68k: set read/write bit properly in special status on MMU bus errors
[R. Belmont]

Fixed a silly bug in Puzzli 2 protection routines [Balrog]

Updated documentation about known Aristocrat MK6 game titles. 
[Heihachi_73]

m68k: added bus error input line, fixed FMOVEM, fixed issues with HMMU
[R. Belmont]

ppc: Implemented correct BATs for 601 and memory-forced I/O controller
interface accesses [R. Belmont]

Fix autorelease pool warnings when running multithreaded on Mac OS X
[Tim Lindner]

seta.c: Implemented Coin Mode 1 & 2 for Arbalester, Blandia, Caliber
50, Downtown, Dragon Unit / Castle of Dragon, Meta Fox, Thundercade /
Twin Formation & Twin Eagle. Added dip locations for Arbalester,
Caliber 50, Meta Fox, Quiz Kokology, Quiz Kokology 2, Sokonuke Taisen
Game & Twin Eagle [Brian Troha]

i386: implemented FCLEX FPU instruction. [Barry Rodewald]

Re-enabled scheduler cothread execution. [Curt Coder]

Made some basic progress to Stepping Stage driver [Angelo Salese]

More work for ROM naming conventions for Neo-Geo driver games
[Johnboy]

Fixes for variable shadowing [Oliver Stöneberg]

Added DSP end IRQ event in Sega Saturn / ST-V SCU DSP core
[Angelo Salese]

sshangha.c: Added dipswitch locations to the Super Shanghai Dragon's
Eye sets [Brian Troha]

speglsht.c: Added dipswitch locations to Super Eagle Shot [Brian
Troha]

speedspn.c: Added dipswitch locations to Speed Spin [Brian Troha]

cave.c: Added a PCB layout for Hotdog Storm as well as some addition
notes/information. [Brian Troha]

chaknpop.c: Added a fully documented PCB layout for Chack'n Pop [Guru]

chaknpop.c: Added dipswitch locations to Chack'n Pop [Brian Troha]

If a rom is bad for a clone but is good for the parent then it doesn't
count towards the clone being found. optimized also_used_by_parent &
uses the length as well as hashes. [smf]

m68k: Generate a per-cpu-type jump table.  Correct linef handling
makes the atari st less cranky.  [O. Galibert]

Added the AMS40041 variant (used in the Amstrad PC1512) to mc6845.c.
[Curt Coder]

Fixed double-free of d3d->hlsl [Oliver Stoneberg]

tagteam.c misc cleanups [hap]
 * fixed maincpu irqs
 * added resnet for color prom
 * added coincounters
 * added diplocations

m62.c: amplified default contrast, this fixes washed out colors
[hap]

Major organization, documentation and addition of numerous (over 1600)
gambling game titles covering the following systems:  [David Haywood]
- Aristocrat MK6
- Barcrest MPU3, MPU4, MPU4 (Video), MPU5
- JPM Impact, MPS1, MPS2, System 5, System 5 (Video), System 6, System 6 (Video), System 80
- Maygay EPOCH, MV1



New games added or promoted from NOT_WORKING status
---------------------------------------------------
GP Rider (set 2, World, FD1094 317-0163) [Fallout (Arcadezentrum)]
Hanafuda Hana Gokou Bangaihen [Guru, Dyq, Luca Elia]


New clones added
----------------
Donkey King Jr. (bootleg of Donkey Kong Jr.) [Guru, Tingoes]
Sauro (Philko license) [Guru]
Raiders (Rev.3) [Andrew Welburn]
Magic Card Export 94 [Team Europe]
Sagaia (dual screen) (World) [an UK collector]
Mortal Kombat (Nifty Kombo, hack) [Colonel_Klink]
Mortal Kombat (Nifty Kombo 666, hack)
[bulldawg, B2K24, kosmo, vascodiaz, Paratech, S. Arnold, S. Healey, J.
 Bijl, M. David, R. Balke, D. Leipold, N. Francfort, Smitdogg, 
 The Dumping Union]
Savanna (Jungler bootleg)  [f205v, robotype]


New games marked as GAME_NOT_WORKING
------------------------------------
Quiz Punch [Guru]
Castle Revolution [David Haywood]



0.143u1
-------


MAMETesters Bugs Fixed
----------------------
- 00335: [DIP/Input] quasar: 3 players start mapped even though it is
         a 2 player game. (Tafoid)
- 00042: [DIP/Input] oigas: Problem with keyboard control. (Tafoid)
- 04412: [Documentation] dynabb: Year should be 1997.
- 04387: [Sound] All sets in renegade.c: Missing ADPCM audio (hap)
- 04380: [Crash/Freeze] sfish2, sfish2j: Crash after OK (R. Belmont)
- 04409: [Documentation] motoraid: Name isn't spelled correctly and
         year is wrong.
- 04248: [Crash/Freeze] All sets in naomi.c: Hang/Black Screen
         attempting to enter Service Mode. (Olivier Galibert)
- 04407: [Crash/Freeze] jdredd, jdreddb: After splash screens, the
         game goes to black screen (micko)
- 04402: [Sound] Drivers using BSMT2000 Sound: Sound is missing or
         corrupt (micko)

Source Changes
--------------
Fixed COSMAC CPU debugger PC. [Curt Coder]

CP1610 - maskable interrupts do not latch [H@P]
 * maskable interrupts that trigger while interrupts are disabled are
    not latched.
* fixes Activision's Dreadnaught Factor. (intv driver in MESS)

Removed deprecat.h usage in the following drivers: [Angelo Salese]
 * megaplay.c
 * olibochu.c
 * panicr.c
 * paradise.c
 * psychic5.c
 * pturn.c
 * rabbit.c
 * subs.c
 * tmmjprd.c
 * tunhunt.c
 * vulgus.c
 * xmen.c
 * xorworld.c

Improved oldsplus protection simulation [Creamy Mami]

Improved video timings in The Crystal Maze: Team Challenge games, this
fixes most bad palette bugs in it [J. Wallace]

Various Neo-Geo changes: [Johnboy]
 * janshin - Replaced p1, old was bad dump
 * Tagged / Retagged several sets MVS/AES version
 * Begin to document used pcb's for cartridges
 * More removal of .bin extension in favour of chiplabel.socketlabel
    naming convention

Naomi: hooked up M4 live decryption [R. Belmont, Deunan Knute, Andreas
Naive]

vigilant.c: Added support for Coin Modes 1 & 2 for Vigilante & Kickle
Cubele sets.  Added Dip locations for Buccaneers, Kickle Cubele &
Vigilante sets [Brian Troha]

zaxxon.c: Added Dip locations to Future Spy [Brian Troha]

xxmissio.c: Added Dip locations to XX Mission [Brian Troha]

wwfsstar.c: Added Dip locations to WWF Superstars [Brian Troha]

wallc.c: Added Dip locations to Wall Crash [Brian Troha]

vulgus.c: Added Dip locations to the Vulgus sets [Brian Troha]

vball.c: Added Dip locations to the U.S. Championship V'ball sets
[Brian Troha]

Update NEC DSP core to correctly generate the ov1 and s1 alu flags
(and hence, SGN register contents).
[Lord Nightmare, Segher, byuu, Cydrak]

idectrl - Implemented command 0x70 (SEEK) makes jdredd and jdreddb
boot again [Miodrag Milanovic]

Naomi updates [R. Belmont, Angelo Salese]
 * Fixed BIOS order so rev H is default
 * Fixed rotation settings for Illvelo and Shooting Love 2007
 * Fixed a minor BIOS H compatibility issue and added idle skip for
    BIOS H

Documentation cleanups/updates for Naomi/Triforce/Chihiro
[f205v, R. Belmont]

addrmap: Allow adding device-sourced memory maps in the main map.
[O. Galibert]

naomi: Use a device map for maple-dc. [O. Galibert]

addrmap: Add a useful error detection [O. Galibert]

Idle skipped Naomi 2 BIOS [Angelo Salese]

Hooked up idle skip for HOTD2 [Angelo Salese]

Implemented lightgun inputs to The House of the Dead 2, game is now
playable with several gfx issues (due of the different PVR used)
[Angelo Salese, O. Galibert]

Hooked up proper inputs to Crazy Taxi, Dynamite Baseball Naomi
Zombie Revenge, Jambo Safari, 18th Wheeler, Airline Pilots,
Confidential Mission, Monkey Ball, The Maze of Kings, 
Shakatto Tambourine [Angelo Salese, O. Galibert]

Added 0555 KRGB TA to FB conversion, used by Ring Out 4x4
[Angelo Salese]

Further upd7725 fixes, new code might actually work properly now,
fixed uninitialized variables. [Lord Nightmare, Wilbert Pol]

i386: Various fixes. [Barry Rodewald]
 * Load LDT before segment registers when switching tasks,
 * Set IF after the instruction following STI,
 * Reset IF after MOV SS or POP SS for one instruction,
- Fixed LSL instruction when modrm < 0xc0.

nvram - in case of multiple bioses, system nvram will be saved in 
form systemname_biosnum.nv in cases when non-default bios is used. 
For default bios selection all stay the same.[Miodrag Milanovic] 

Various rom name fixes [Kevin Eshbach]:
 * Corrects Super Zaxxon rom names
 * Updates the name of the Bally Sente sound board rom and adds the
    date code
 * Updates the Name That Tune set 2 rom names
 * Updates the Stompin’ rom names, updates the undumped pal, updates
    the cartridge type and adds the date code
 * Updates the Rescue Raider (first set) rom names, updates the
    undumped pals, marked as non-cartridge and adds the date code
 * Adds the date code to Gimme a Break
 * Adds the date code to one of the Trivia Pursuit (Genus I) sets

Added reasonably accurate layout code to Crystal Maze games that
should finally leave them playable [J. Wallace]

Corrected syntax in some inline assembly [Balrog]

Implemented halt instruction in the NEC CPU core
[Wilbert Pol, Alex Jackson]

Provided EPROM dump for the i/o gunboard on HOTD2 PCB [Guru]

Preliminary work for ATV Track, in order to get the second SH-4 into
business [Samuele Zannoli]

Added support for dma transfers between the processor and external
devices in SH-4 CPU core [Samuele Zannoli]

Modified naomibd device so that it allocates the memory for the gdrom
data on startup based on a parameter that specifies the size in
megabytes. [Samuele Zannoli]

Added two new commands to the unidasm utility [Samuele Zannoli]
 * skip <n> allows to skip the first <n> bytes from the file
 * count <n> specify that only <n> bytes from the file must be
    disassembled
    
More Neo-Geo work for ROM naming conventions and documentation of used
PCBs for cartridges [Johnboy]


New clones added
----------------
Pit Boss Megatouch II (9255-10-01 ROD, Standard version)
  [Brian Troha, The Dumping Union]
Galivan - Cosmo Police (12/26/1985)
  [Stefan Lindberg, The Dumping Union]
Missile Command (rev 3) [Joe Barbara]


New games marked as GAME_NOT_WORKING
------------------------------------
Tap-a-Tune [Mariusz Wojcieszek, Phil Bennett, R. Belmont]
Asian Dynamite (Dynamite Deka EX) [The Dumping Union]
Shooting Love 2007 [The Dumping Union]
Akatsuki Blitzkampf Ausf Achse [The Dumping Union]
Illvelo (Illmatic Envelope) [The Dumping Union]
Pokasuka Ghost [The Dumping Union]
Bubble System BIOS [Guru, Angelo Salese]
